Subject: Re: some problems on the SystemACE driver.

From: Ameet Patil <[email-masked]>
Date: Fri, 14 Jul 2006 12:12:36 +0100

Hi Ming,
   Can you send me the entire text output (in a file) of the compilation
process with errors?

-Ameet

Ming Liu wrote:
> Dear Ameet,
> 
>> 1. Which TEMAC patch are you using?
>> (http://source.mvista.com/~ank/paulus-powerpc/20060309/ppc32_xilinx_edk_temac.patch) 
>>
> 
> There are five patches in the directory 20060309 whose address is listed 
> above by you. I applied all of them in my system, because without any 
> there will be problems.
>> 2. After applying the patch, is the driver getting compiled directly
>> without having to select it via "make menuconfig"?
> No. there is an option named "xilinx 10/100/1000 Mbit TEMAC support" in 
> the menuconfig. I must select it and then compile the kernel.
>> 3. I don't see a Makefile in the drivers/net/xilinx_temac/ folder?
> I have checked. In my kernel, there is the Makefile. I don't know why 
> this happened to you.
> 
> Let me describe the detailed process I did. First, download the kernel 
> 2.6.17.1 (or 2.6.16-rc5). Then apply the five patches for Temac.(If I 
> use 2.6.17.1, I need to upgrade some files manually. For 2.6.16, there 
> is no problem.) And then apply the patch for SystemACE. Also copy and 
> replace the xparameters_ml403.h by my own file generated by EDK. Then 
> make menuconfig, selecting both Temac and SystemACE and other basic 
> options. Then make dep and make zImage. During this process, I need to 
> modify some little problems which are about the inclusion of some header 
> files, or specify some lib inclusion directories instead. Then that 
> problem appears. There are some main points: 1. configured for ml403 
> board. 2.both Temac and SystemACE are selected. 3. 5 patches for Temac 
> and 1 patch for SystemACE. 4. linux version is 2.6.17 or 2.6.16. I 
> really have no idea why this still happens after your modification. So I 
> have to ask you again.
>> Ofcourse, I can work my way to compile the driver. But is there any doc.
>> present explaining this?
> Sorry that there is no doc to explain this. I just did following the 
> procedure described above. I am totally lost. The strange thing is, when 
> I select only one of these two drivers, no problem, but if both, problem.
> By the way, I noticed that in the address where I get your patch, there 
> is also a patch called linuxppc-2.6.17.1-sysace-1.0.patch which is much 
> larger than the 1.1 one. I needn't apply the 1.0 one, right?
> Thanks for your hard work. Hopefully we can solve the problem.
> Regards
> Ming
> 
> _________________________________________________________________
> 免费下载 MSN Explorer:   http://explorer.msn.com/lccn 
>